<%@ Page language="vb" debug=true %>
<%@ Import NameSpace = "csASPNetGraphTrial" %>
<%
  'This uses the trial version. Change the Namespace import if the full version is used.

  Dim ImageCount As Integer
  ImageCount = Application.Get("ImageCount")
  If ImageCount = 9 Then 'Use a bigger number here if more simultaneous users are expected
    ImageCount = 0
  Else
    ImageCount = ImageCount + 1
  End If
  Application.Set("ImageCount", ImageCount)

  Dim Graph As New GraphClass
  Graph.AddData("Data 1", 10, "ff0000")
  Graph.AddData("Data 2", 18, "00ff00")
  Graph.AddData("Data 3", 7, "0000ff")
  Graph.AddMapArea("url1.aspx", "Data 1", "target=_blank")
  Graph.AddMapArea("url2.aspx", "Data 2", "target=_blank")
  Graph.AddMapArea("url3.aspx", "Data 3", "target=_blank")
  Graph.GraphType = 1
  Graph.GraphToFile(Server.MapPath(ImageCount.ToString & ".gif"))
  'The ASPNET Machine Account must have Write permission to create the .gif file
%>
<html>
<head>
<title>Example of using csASPNetGraph to produce a bar chart with an image map</title>
</head>
<body>
<%
  Response.Write(Graph.ImageMapText)
%>
<table align=center width=400>
  <tr><td colspan=4><img src="<%= ImageCount %>.gif" width=400 height=300 usemap="#map1" border=0></td></tr>
</table>
</body>
</html> 
